## lomiri 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)

# Default install location. Must be set here, before setting the project.
if (NOT DEFINED CMAKE_INSTALL_PREFIX)
    set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/install CACHE PATH "" FORCE)
endif()

project(lomiri VERSION 0.1.3 LANGUAGES C CXX)

set(SHELL_APP lomiri)
set(INDICATORS_CLIENT_APP indicators-client)
set(GREETER_APP lomiri-greeter)

set (DESKTOP_FILE_SHELL "${SHELL_APP}.desktop")
set (DESKTOP_FILE_GREETER "${GREETER_APP}.desktop")
set (DESKTOP_FILE_INDICATORSCLIENT "${INDICATORS_CLIENT_APP}.desktop")

if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
   message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

# Instruct CMake to run moc and rcc automatically when needed.
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

# enable QML debugging
string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.
if(cmake_build_type_lower MATCHES "debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

include(EnableCoverageReport)
#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage (or ninja if you use that backend)
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
if(cmake_build_type_lower MATCHES coverage)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage" )
  set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} --coverage" )
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage" )
  ENABLE_COVERAGE_REPORT(TARGETS ${SHELL_APP} FILTER /usr/include ${CMAKE_SOURCE_DIR}/tests/* ${CMAKE_BINARY_DIR}/*)
endif()

find_package (ECM 1.7.0 QUIET NO_MODULE)
if (ECM_FOUND)
    # Provides us with -DECM_ENABLE_SANITIZERS='X'
    # Where X can be address, thread, memory, leak, undefined
    include("${ECM_MODULE_DIR}/ECMEnableSanitizers.cmake")
endif()

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS "5.0.0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override" )
  endif()
endif()

# Make sure we have all the needed symbols
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-z,defs")
set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-z,defs")

# Static C++ checks
add_custom_target(cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2
                                       ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests)

include(FindPkgConfig)
find_package(Qt5Core 5.6 REQUIRED)
find_package(Qt5Qml 5.6 REQUIRED)
find_package(Qt5Quick 5.6 REQUIRED)
find_package(Qt5Gui 5.6 REQUIRED)
find_package(Qt5DBus 5.6 REQUIRED)
find_package(Qt5Concurrent 5.6 REQUIRED)
find_package(Qt5Sql 5.6 REQUIRED)
find_package(Qt5Test 5.6 REQUIRED)
find_package(Qt5Svg 5.6 REQUIRED)
find_package(Qt5Network 5.6 REQUIRED)
find_package(Qt5Xml 5.6 REQUIRED)

pkg_check_modules(APPLICATION_API REQUIRED lomiri-shell-application=28)
pkg_check_modules(QTMIRSERVER REQUIRED qtmirserver>=0.6.0)
pkg_check_modules(GEONAMES REQUIRED geonames>=0.2)
pkg_check_modules(GIO REQUIRED gio-2.0>=2.32)
pkg_check_modules(GLIB REQUIRED glib-2.0>=2.32)
pkg_check_modules(LAUNCHER_API REQUIRED lomiri-shell-launcher=13)
pkg_check_modules(QMENUMODEL REQUIRED qmenumodel)
pkg_check_modules(GD3 REQUIRED gnome-desktop-3.0)
# 0.1.5 adds lal-application-end.target.
pkg_check_modules(UAL REQUIRED lomiri-app-launch-0>=0.1.5)
pkg_check_modules(LOMIRIGESTURES REQUIRED LomiriGestures)
pkg_check_modules(MIRAL REQUIRED miral)
pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
pkg_check_modules(LOMIRISCHEMA REQUIRED lomiri-schemas>=0.1.3)

### Check LomiriGestures private headers. No pkg-config (.pc) file is provided for them
find_path(LOMIRIGESTUREPRIV
    NAMES LomiriGestures/private/damper_p.h LomiriGestures/private/ucswipearea_p.h LomiriGestures/private/ucswipearea_p_p.h
    PATHS ${LOMIRIGESTURES_INCLUDEDIR}/LomiriGestures/${LOMIRIGESTURES_VERSION}
    NO_DEFAULT_PATH)
if (${LOMIRIGESTUREPRIV} STREQUAL LOMIRIGESTUREPRIV-NOTFOUND)
   message(FATAL_ERROR "LomiriGestures private headers not found.")
endif()
# end of LomiriGesture private headers check

# Standard install paths
include(GNUInstallDirs)

set(SHELL_APP_DIR ${CMAKE_INSTALL_DATADIR}/lomiri)
set(SHELL_PRIVATE_LIBDIR ${CMAKE_INSTALL_LIBDIR}/lomiri)
set(SHELL_PRIVATE_LIBEXECDIR ${CMAKE_INSTALL_LIBEXECDIR}/lomiri)

execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugin_private_module_dir LomiriSystemSettings OUTPUT_VARIABLE USS_PRIVATE_PLUGINDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
if(USS_PRIVATE_PLUGINDIR STREQUAL "")
    message(FATAL_ERROR "Could not determine USS private plugin installation dir.")
endif()

execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugindir_suffix lomiri-shell-api OUTPUT_VARIABLE SHELL_INSTALL_QML OUTPUT_STRIP_TRAILING_WHITESPACE)
if(SHELL_INSTALL_QML STREQUAL "")
    message(FATAL_ERROR "Could not determine plugin installation dir.")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugindir lomiri-shell-api OUTPUT_VARIABLE SHELL_PLUGINDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
if(SHELL_PLUGINDIR STREQUAL "")
    message(FATAL_ERROR "Could not determine plugin import dir.")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-permissive -pedantic -Wall -Wextra")

set (CMAKE_CXX_STANDARD 14)

if ("${CMAKE_BUILD_TYPE}" STREQUAL "release" OR "${CMAKE_BUILD_TYPE}" STREQUAL "relwithdebinfo")
    option(Werror "Treat warnings as errors" ON)
else()
    option(Werror "Treat warnings as errors" OFF)
endif()

if (Werror)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()

# gtk and lomiri-core (actually sigc++) do not like Qt defining macros named
# "signals" and "slots"
add_definitions(-DQT_NO_KEYWORDS)

# Save a few container detach and conversions
add_definitions(-DQT_STRICT_ITERATORS)

# Use the fast string builder
add_definitions(-DQT_USE_QSTRINGBUILDER)

# Autopilot tests
include(autopilot)
declare_autopilot_test(shell lomiri.shell ${CMAKE_SOURCE_DIR}/tests/autopilot/)

set(MOCK_INDICATOR_SERVICE_APP lomiri-mock-indicator-service)

include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_BINARY_DIR}/include
    ${APPLICATION_API_INCLUDE_DIRS}
)

# Quiet logger
set(QUIET_LOGGER OFF CACHE BOOL "Disable test output on stdout.")
if(NOT QUIET_LOGGER)
    set(STDOUT_LOGGER "-o" "-,txt")
endif()

execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH OUTPUT_VARIABLE ARCH)
if (NOT ARCH MATCHES "arm*")
    set(ENABLE_TOUCH_EMULATION true)
    add_definitions(-DLOMIRI_ENABLE_TOUCH_EMULATION)
    pkg_check_modules(MOUSETOUCHADAPTOR_LIBS REQUIRED x11 xcb xi)
else()
    set(ENABLE_TOUCH_EMULATION false)
    message(STATUS "Touch emulation support disabled.")
endif()

# add subdirectories to build
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(qml)

# Tests
set(NO_TESTS OFF CACHE BOOL "Disable tests.")
if (NOT NO_TESTS)
    pkg_check_modules(QTDBUSTEST REQUIRED
        libqtdbustest-1
        libqtdbusmock-1
        )
    include(CTest)
    enable_testing()
    add_subdirectory(tests)
else()
    message(STATUS "Tests disabled")
endif()

set(DISPLAYED_DISTRO_NAME "" CACHE STRING
    "The distro name displayed in first-run wizard and other places. If not set, will read /etc/os-release")
add_subdirectory(plugins)

#
# Data files
#
add_subdirectory(data)

#
# Translation
#
add_subdirectory(po)

#
# Documentation
#
add_subdirectory(doc)

=== debian/changelog ===
lomiri (0.1.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Fix typo in url
  * debian/control: Use my new debian email

 -- Marius Gripsgard <mariogrip@debian.org>  Fri, 28 Jul 2023 02:38:29 +0200

=== debian/control ===
Source: lomiri
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <mariogrip@debian.org>,
Build-Depends:
 cmake,
 cmake-extras,
 dbus-test-runner,
 debhelper-compat (= 13),
 dh-apparmor,
 doxyqml,
 gdb,
 graphviz,
 lomiri-schemas (>= 0.1.3),
 libdeviceinfo-dev,
 libevdev-dev,
 libgeonames-dev (>= 0.2),
 libgl-dev[!arm64 !armhf],
 libgl1-mesa-dri,
 libgles2-mesa-dev[arm64 armhf],
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libgsettings-qt-dev,
 liblightdm-qt5-3-dev,
 liblomiri-connectivity-qt1-dev,
 libpam0g-dev,
 libpulse-dev,
 libqmenumodel-dev (>= 0.2.12),
 libqtmirserver-dev (>= 0.8.0~git20230223.bd21224-3~),
 libmiroil-dev,
 libmiral-dev,
 libqt5sql5-sqlite,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 libqtdbusmock1-dev (>= 0.7),
 libqtdbustest1-dev,
 libsystemd-dev [linux-any],
 liblomirisystemsettings-dev,
 liblomiri-app-launch-dev (>= 0.1.5),
 liblomiri-download-manager-common-dev,
 liblomirigestures-dev (>= 1.3.2030),
 liblomirigestures5-private-dev (>= 1.3.2030),
 libudev-dev,
 libldm-common-dev,
 liblomiri-api-dev (>= 0.2.0),
 libusermetricsoutput-dev,
 libx11-dev[!arm64 !armhf],
 libxcb1-dev[!arm64 !armhf],
 libxi-dev[!arm64 !armhf],
 mirtest-dev,
 pkg-config,
 python3-all:any,
 python3-setuptools,
 qml-module-qt-labs-folderlistmodel,
 qml-module-qt-labs-settings,
 qml-module-qtmultimedia (>= 5.6),
 qml-module-qtqml-statemachine,
 qml-module-qtquick-layouts,
 qml-module-qtquick-xmllistmodel,
 qml-module-qtquick2,
 qml-module-qtsysteminfo,
 qml-module-qttest,
 qml-module-lomiri-components (>= 1.3.5000),
 qml-module-lomiri-layouts,
 qml-module-lomiri-settings-components,
 qml-module-lomiri-settings-menus,
 qml-module-lomiri-test,
 qtbase5-dev (>= 5.6),
 qtbase5-dev-tools,
 qtbase5-private-dev (>= 5.6),
 qtdbustest-runner,
 qtdeclarative5-dev (>= 5.6),
 qtdeclarative5-dev-tools,
 qtdeclarative5-private-dev (>= 5.6),
 qml-module-lomiri-content,
 systemd [linux-any],
# fonts-ubuntu,
 xvfb,
 xauth,
# mirtest pkgconfig requires these, but doesn't have a deb dependency. Bug lp:1633537
 libboost-filesystem-dev,
 libboost-system-dev,
 rdfind,
 symlinks,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri

Package: lomiri-greeter
Architecture: all
Depends:
 lomiri (>= ${source:Version}), lomiri (<< ${source:Version}.1~),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lightdm,
# TODO add once lsc is in
# lomiri-system-compositor,
Provides:
 lightdm-greeter,
Description: LightDM Greeter for the Lomiri Operating Environment
 Lomiri is an operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package provides the Lomiri Greeter.

Package: lomiri
Architecture: any
Provides:
 indicator-renderer,
 notification-daemon
Depends:
 ayatana-indicator-bluetooth,
 ayatana-indicator-datetime,
 ayatana-indicator-display,
 ayatana-indicator-keyboard,
 ayatana-indicator-messages,
 ayatana-indicator-power,
 ayatana-indicator-session,
 ayatana-indicator-sound,
 lomiri-app-launch (>= 0.1.5),
 dmz-cursor-theme,
 gsettings-desktop-schemas,
 libcap2-bin,
 libglib2.0-bin,
 qml-module-biometryd,
 qml-module-lomiri-components,
 qml-module-lomiri-layouts,
 qml-module-lomiri-telephony,
 qml-module-lomiri-settings-menus,
 qml-module-qmenumodel1,
 qml-module-qt-labs-folderlistmodel,
 qml-module-qt-labs-settings,
 qml-module-qtmir (>= 0.4.8),
 qml-module-qtqml-statemachine,
 qml-module-qtquick-xmllistmodel,
 qml-module-qtsysteminfo,
 qml-module-hfd,
 qtmir,
 lomiri-indicator-network,
 lomiri-system-settings (>= 0.4),
 lomiri-url-dispatcher,
 lomiri-launcher-impl-13,
 lomiri-common (>= ${source:Version}), lomiri-common (<< ${source:Version}.1~),
 liblomiri-private0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 mir-platform-graphics-gbm-kms | mir-platform-graphics-eglstream-kms | mir-platform-graphics-wayland | mir-platform-graphics-x,
 lomiri-desktop-session | lomiri-touch-session,
 lomiri-greeter-session-broadcast,
 lomiri-indicator-transfer,
 maliit-keyboard,
Breaks:
 indicator-network (<< 0.5.1+14.10.20141014),
 lomiri-keyboard (<< 0.100),
 lomiri-touch-session (<< 0.107),
 lomiri-scope-tool,
Replaces:
 lomiri-touch-session (<< 0.82~),
 lomiri-scope-tool,
Conflicts:
 lomiri-system-settings-wizard,
Description: Shell of the Lomiri Operating Environment
 Shell of the Lomiri Operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package provides the Lomiri shell.

Package: lomiri-common
Architecture: all
Depends:
 qml-module-qtquick-layouts,
 qml-module-lomiri-components (>= 1.3.2030) | qml-module-lomiri-components-gles (>= 1.3.2030),
 qml-module-lomiri-settings-components,
 qml-module-lomiri-thumbnailer,
 qtdeclarative5-lomiri-notifications-plugin (>= 0.1.2) | lomiri-notifications-impl,
 qttranslations5-l10n,
 lomiri-application-impl-27,
 lomiri-notifications-impl-3,
 lomiri-schemas (>= 0.1.3),
 lomiri-tests | lomiri-application-impl,
 ${misc:Depends},
Description: Shell of the Lomiri Operating Environment (common files)
 Shell of the Lomiri Operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package contains the QML, graphics and locale files for lomiri.

Package: lomiri-tests
Architecture: any
Multi-Arch: foreign
Depends:
 dbus-test-runner,
 parallel,
 qtdbustest-runner,
 qtdeclarative5-dev-tools,
 lomiri (= ${binary:Version}),
 xauth,
 xvfb,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lomiri-application-impl,
 lomiri-application-impl-27,
 lomiri-fake-env,
Replaces:
 lomiri-autopilot (<< 8.02+15.04.20150422-0lomiri1),
 lomiri-fake-env,
Conflicts:
 lomiri-fake-env,
Description: Scripts and mocks for running Lomiri Shell tests
 Lomiri is an operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package provides fake implementations of some QML modules used by
 the Lomiri Shell (e.g. Lomiri.Application) so that you can run it in a
 sandboxed environment; it also provides scripts to run its test suite.

Package: liblomiri-private0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 lomiri-schemas (>= 0.1.3),
 qml-module-gsettings1.0,
 qml-module-qtmultimedia,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lomiri-launcher-impl,
 lomiri-launcher-impl-13,
Breaks:
 lomiri-private,
Replaces:
 lomiri-private,
Description: Lomiri Operating Environment's Shell (private libs)
 Lomiri is an operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package contains the private libraries for QML and other components
 only used by the Lomiri Shell.

Package: lomiri-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Lomiri Operating Environment's Shell (documentation files)
 Lomiri is an operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package provides documentation of the Lomiri Shell.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export NO_PNG_PKG_MANGLE=1
export QT_SELECT=qt5

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Skip tests on the archs they are known to be flaky  with current configuration
testskip_architectures := arm64 powerpc ppc64el s390x

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
	# So until Debian bug 719148 is fixed, do it ourselves.
	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var"

override_dh_auto_build:
	# doc is not a default target
	dh_auto_build -- -O all doc

override_dh_auto_test:
	# Run the entire test battery
	# Parallel tests have a risk of starting xvfb on the same DISPLAY multiple times,
	# causing the whole battery to fail.
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_HOST_ARCH),$(testskip_architectures)))
	-dh_auto_test --no-parallel -- -O -k xvfballtests
else
	# FIXME: Temporarily disable unit tests on all other architectures, as well. They
	# seem flaky when built+run on systems more recent than Ubuntu 20.04...
	-dh_auto_test --no-parallel -- -O -k xvfballtests
endif
endif

override_dh_fixperms:
	dh_fixperms
	[ -d debian/lomiri-tests ] && chmod a-x debian/lomiri-tests/usr/libexec/lomiri/tests/plugins/Lomiri/Session/libSessionBackendTestPreload.so || true
	[ -d debian/lomiri-tests ] && chmod a-x debian/lomiri-tests/usr/libexec/lomiri/tests/plugins/Lomiri/Launcher/applications/abs-icon.desktop || true
	[ -d debian/lomiri-tests ] && chmod a-x debian/lomiri-tests/usr/libexec/lomiri/tests/plugins/Lomiri/Launcher/applications/click-icon.desktop || true
	[ -d debian/lomiri-tests ] && chmod a-x debian/lomiri-tests/usr/libexec/lomiri/tests/plugins/Lomiri/Launcher/applications/click-icon.svg || true
	[ -d debian/lomiri-tests ] && chmod a-x debian/lomiri-tests/usr/libexec/lomiri/tests/plugins/Lomiri/Launcher/applications/no-name.desktop || true
	[ -d debian/lomiri-tests ] && chmod a-x debian/lomiri-tests/usr/libexec/lomiri/tests/plugins/Lomiri/Launcher/applications/rel-icon.desktop || true
	[ -d debian/lomiri-tests ] && chmod a-x debian/lomiri-tests/usr/libexec/lomiri/tests/plugins/Lomiri/Launcher/applications/rel-icon.svg || true

override_dh_install:
	rm debian/tmp/usr/bin/indicators-client
	rm debian/tmp/usr/share/applications/indicators-client.desktop
	rm debian/tmp/usr/share/lomiri/unlock-device
	cd debian/tmp/usr/share/doc/lomiri/html/ && rdfind -makesymlinks true .
	cd debian/tmp/usr/share/doc/lomiri/html/ && symlinks -rc .
	dh_install

override_dh_installdocs:
	dh_installdocs
	# Remove results.txt for reproducible builds
	rm -vf debian/lomiri-doc/usr/share/doc/lomiri/html/results.txt

# use private lib directories
override_dh_makeshlibs:
	dh_makeshlibs -Nlomiri-tests

override_dh_shlibdeps:
	# Some mock libraries link against liblightdm-qt5-3.so which we want to
	# avoid, since we only really link against our mock one, not the system one.
	dh_shlibdeps -XlibMockAccountsService-qml.so -Lliblomiri-private0

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
